## ros-foxy-rviz-default-plugins 8.2.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rviz_default_plugins)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Wnon-virtual-dtor -Woverloaded-virtual)
endif()

# Tests currently only run on OS X @ OSRF jenkins
# Enable on Linux by providing a display, enable on Windows via EnableDisplayTests=True
option(EnableDisplayTests "EnableDisplayTests")
set(DisplayTests "False" CACHE STRING "DisplayTestsVariable")

if(DEFINED ENV{DISPLAY})
  set(DISPLAYPRESENT TRUE)
endif()

if(APPLE OR DISPLAYPRESENT OR EnableDisplayTests STREQUAL "True")
  message(STATUS "Enabling tests requiring a display")
else()
  set(SKIP_DISPLAY_TESTS "SKIP_TEST")
endif()

# options and directories for visual tests (see visual_testing_framework documentation)
option(EnableVisualTests "decides whether or not to enable the tests")

add_definitions(-D_BUILD_DIR_PATH="${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-D_SRC_DIR_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/test_images)
file(MAKE_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/test/reference_images)

# Run visual tests only if "EnableVisualTests=True"
if(EnableVisualTests STREQUAL "True")
  message(STATUS "Enabling visual tests")
else()
  set(SKIP_VISUAL_TESTS "SKIP_TEST")
endif()

if(MSVC)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /bigobj")
endif()

# We specifically don't turn on CMAKE_AUTOMOC, since it generates one huge
# mocs_compilation.cpp file that takes a lot of memory to compile.  Instead
# we create individual moc files that can be compiled separately.

find_package(ament_cmake REQUIRED)

find_package(rviz_common REQUIRED)
find_package(rviz_rendering REQUIRED)
find_package(rviz_ogre_vendor REQUIRED)

find_package(Qt5 REQUIRED COMPONENTS Widgets Test)

find_package(geometry_msgs REQUIRED)
find_package(interactive_markers REQUIRED)
find_package(laser_geometry REQUIRED)
find_package(map_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)
find_package(resource_retriever REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_geometry_msgs REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(urdf REQUIRED)
find_package(visualization_msgs REQUIRED)

set(rviz_default_plugins_headers_to_moc
  include/rviz_default_plugins/displays/axes/axes_display.hpp
  include/rviz_default_plugins/displays/camera/camera_display.hpp
  include/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.hpp
  include/rviz_default_plugins/displays/grid/grid_display.hpp
  include/rviz_default_plugins/displays/grid_cells/grid_cells_display.hpp
  include/rviz_default_plugins/displays/illuminance/illuminance_display.hpp
  include/rviz_default_plugins/displays/image/image_display.hpp
  include/rviz_default_plugins/displays/laser_scan/laser_scan_display.hpp
  include/rviz_default_plugins/displays/map/map_display.hpp
  include/rviz_default_plugins/displays/marker/marker_common.hpp
  include/rviz_default_plugins/displays/odometry/odometry_display.hpp
  include/rviz_default_plugins/transformation/transformer_guard.hpp
  include/rviz_default_plugins/displays/interactive_markers/integer_action.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.hpp
  include/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.hpp
  include/rviz_default_plugins/displays/path/path_display.hpp
  include/rviz_default_plugins/displays/point/point_stamped_display.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_common.hpp
  include/rviz_default_plugins/displays/pointcloud/point_cloud_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.hpp
  include/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.hpp
  include/rviz_default_plugins/displays/polygon/polygon_display.hpp
  include/rviz_default_plugins/displays/pose/pose_display.hpp
  include/rviz_default_plugins/displays/pose_array/pose_array_display.hpp
  include/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.hpp
  include/rviz_default_plugins/displays/range/range_display.hpp
  include/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.hpp
  include/rviz_default_plugins/displays/robot_model/robot_model_display.hpp
  include/rviz_default_plugins/displays/temperature/temperature_display.hpp
  include/rviz_default_plugins/displays/tf/frame_info.hpp
  include/rviz_default_plugins/displays/tf/tf_display.hpp
  include/rviz_default_plugins/displays/wrench/wrench_display.hpp
  include/rviz_default_plugins/robot/robot.hpp
  include/rviz_default_plugins/robot/robot_joint.hpp
  include/rviz_default_plugins/robot/robot_link.hpp
  include/rviz_default_plugins/robot/robot_element_base_class.hpp
  include/rviz_default_plugins/tools/measure/measure_tool.hpp
  include/rviz_default_plugins/tools/goal_pose/goal_tool.hpp
  include/rviz_default_plugins/tools/interaction/interaction_tool.hpp
  include/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.hpp
  include/rviz_default_plugins/tools/point/point_tool.hpp
  include/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.hpp
  include/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.hpp
  include/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.hpp
)

foreach(header "${rviz_default_plugins_headers_to_moc}")
  qt5_wrap_cpp(rviz_default_plugins_moc_files "${header}")
endforeach()

set(rviz_default_plugins_source_files
  src/rviz_default_plugins/displays/axes/axes_display.cpp
  src/rviz_default_plugins/displays/camera/camera_display.cpp
  src/rviz_default_plugins/displays/grid/grid_display.cpp
  src/rviz_default_plugins/displays/grid_cells/grid_cells_display.cpp
  src/rviz_default_plugins/displays/fluid_pressure/fluid_pressure_display.cpp
  src/rviz_default_plugins/displays/illuminance/illuminance_display.cpp
  src/rviz_default_plugins/displays/image/image_display.cpp
  src/rviz_default_plugins/displays/image/ros_image_texture.cpp
  src/rviz_default_plugins/displays/interactive_markers/integer_action.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_control.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_display.cpp
  src/rviz_default_plugins/displays/interactive_markers/interactive_marker_namespace_property.cpp
  src/rviz_default_plugins/displays/laser_scan/laser_scan_display.cpp
  src/rviz_default_plugins/displays/map/map_display.cpp
  src/rviz_default_plugins/displays/map/palette_builder.cpp
  src/rviz_default_plugins/displays/map/swatch.cpp
  src/rviz_default_plugins/displays/marker/markers/arrow_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/line_marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/line_strip_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_base.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_selection_handler.cpp
  src/rviz_default_plugins/displays/marker/markers/mesh_resource_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/text_view_facing_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/points_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/shape_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/triangle_list_marker.cpp
  src/rviz_default_plugins/displays/marker/markers/marker_factory.cpp
  src/rviz_default_plugins/displays/marker/marker_common.cpp
  src/rviz_default_plugins/displays/marker/marker_display.cpp
  src/rviz_default_plugins/displays/marker_array/marker_array_display.cpp
  src/rviz_default_plugins/displays/odometry/odometry_display.cpp
  src/rviz_default_plugins/displays/path/path_display.cpp
  src/rviz_default_plugins/displays/point/point_stamped_display.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/axis_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/flat_color_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/intensity_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgb8_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/rgbf32_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/transformers/xyz_pc_transformer.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_common.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_to_point_cloud2.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_transformer_factory.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_selection_handler.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud_display.cpp
  src/rviz_default_plugins/displays/pointcloud/point_cloud2_display.cpp
  src/rviz_default_plugins/displays/polygon/polygon_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display.cpp
  src/rviz_default_plugins/displays/pose/pose_display_selection_handler.cpp
  src/rviz_default_plugins/displays/pose_array/pose_array_display.cpp
  src/rviz_default_plugins/displays/pose_array/flat_arrows_array.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_covariance_display.cpp
  src/rviz_default_plugins/displays/pose_covariance/pose_with_cov_selection_handler.cpp
  src/rviz_default_plugins/displays/range/range_display.cpp
  src/rviz_default_plugins/displays/relative_humidity/relative_humidity_display.cpp
  src/rviz_default_plugins/displays/robot_model/robot_model_display.cpp
  src/rviz_default_plugins/displays/temperature/temperature_display.cpp
  src/rviz_default_plugins/displays/tf/frame_info.cpp
  src/rviz_default_plugins/displays/tf/frame_selection_handler.cpp
  src/rviz_default_plugins/displays/tf/tf_display.cpp
  src/rviz_default_plugins/displays/wrench/wrench_display.cpp
  src/rviz_default_plugins/robot/robot.cpp
  src/rviz_default_plugins/robot/robot_joint.cpp
  src/rviz_default_plugins/robot/robot_link.cpp
  src/rviz_default_plugins/robot/robot_element_base_class.cpp
  src/rviz_default_plugins/robot/tf_link_updater.cpp
  src/rviz_default_plugins/tools/interaction/interaction_tool.cpp
  src/rviz_default_plugins/tools/measure/measure_tool.cpp
  src/rviz_default_plugins/tools/focus/focus_tool.cpp
  src/rviz_default_plugins/tools/move/move_tool.cpp
  src/rviz_default_plugins/tools/goal_pose/goal_tool.cpp
  src/rviz_default_plugins/tools/pose/pose_tool.cpp
  src/rviz_default_plugins/tools/pose_estimate/initial_pose_tool.cpp
  src/rviz_default_plugins/tools/point/point_tool.cpp
  src/rviz_default_plugins/tools/select/selection_tool.cpp
  src/rviz_default_plugins/transformation/tf_frame_transformer.cpp
  src/rviz_default_plugins/transformation/tf_wrapper.cpp
  src/rviz_default_plugins/view_controllers/follower/third_person_follower_view_controller.cpp
  src/rviz_default_plugins/view_controllers/fps/fps_view_controller.cpp
  src/rviz_default_plugins/view_controllers/orbit/orbit_view_controller.cpp
  src/rviz_default_plugins/view_controllers/ortho/fixed_orientation_ortho_view_controller.cpp
  src/rviz_default_plugins/view_controllers/xy_orbit/xy_orbit_view_controller.cpp
)

add_library(rviz_default_plugins SHARED
  ${rviz_default_plugins_moc_files}
  ${rviz_default_plugins_source_files}
)

target_include_directories(rviz_default_plugins PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
  ${Qt5Widgets_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-foxy-rviz-default-plugins (8.2.8-1focal) focal; urgency=high

  * Delete frame_locked_markers when reusing marker (#907 <https://github.com/ros2/rviz/issues/907>) (#912 <https://github.com/ros2/rviz/issues/912>)
  * Contributors: mergify[bot], Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.7-1focal) focal; urgency=high

  * Make Axes display use latest transform (#892 <https://github.com/ros2/rviz/issues/892>) (#904 <https://github.com/ros2/rviz/issues/904>)
  * Set error status when duplicate markers are in the same MarkerArray (#891 <https://github.com/ros2/rviz/issues/891>) (#901 <https://github.com/ros2/rviz/issues/901>)
  * Contributors: Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.6-1focal) focal; urgency=high

  * Add underscores to material names (#811 <https://github.com/ros2/rviz/issues/811>) (#824 <https://github.com/ros2/rviz/issues/824>)
  * Export Qt5 dependencies properly (#687 <https://github.com/ros2/rviz/issues/687>) (#822 <https://github.com/ros2/rviz/issues/822>)
  * Change image display to not rely on TF (#781 <https://github.com/ros2/rviz/issues/781>)
  * Contributors: Cory Crean, Helen Oleynikova, Jacob Perron, Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.4-1focal) focal; urgency=high

  * Fixed crash when changing rendering parameters for pointcloud2 while 'Selectable' box is unchecked (#768 <https://github.com/ros2/rviz/issues/768>) (#770 <https://github.com/ros2/rviz/issues/770>)
  * Contributors: Alejandro Hernández Cordero

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.3-1focal) focal; urgency=high

  * YUV to RGB changes (#732 <https://github.com/ros2/rviz/issues/732>)
  * Export InteractiveMarker (#728 <https://github.com/ros2/rviz/issues/728>)
  * Contributors: Akash, cturcotte-qnx

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.2-1focal) focal; urgency=high

  * Make the types explicit in quaternion_helper.hpp. (#625 <https://github.com/ros2/rviz/issues/625>) (#673 <https://github.com/ros2/rviz/issues/673>)
    all calculations to floats.
  * Contributors: Louise Poubel

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.1-1focal) focal; urgency=high

  * Fix for mousewheel to zoom in/out (#623 <https://github.com/ros2/rviz/issues/623>) (#626 <https://github.com/ros2/rviz/issues/626>)
  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * Do not use assume every RenderPanel has a ViewController. (#613 <https://github.com/ros2/rviz/issues/613>) (#615 <https://github.com/ros2/rviz/issues/615>)
  * [foxy-backport] fast forward of ros2 (default) to foxy (#570 <https://github.com/ros2/rviz/issues/570>)
    * restore compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
    * Suppress warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
    * Don't try to moc generate env_config.hpp file. (#550 <https://github.com/ros2/rviz/issues/550>)
    This removes one more warning from rviz_common builds.
    * rewrite hack to avoid CMake warning with assimp 5.0.1 and older, apply cross platform (#565 <https://github.com/ros2/rviz/issues/565>)
    * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>)
    * restore alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
    * Don't install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Jacob Perron, Michael Jeronimo, Michel Hidalgo, William Woodall, Chen Lihui, Dirk Thomas, Chris Lalancette, ymd-stella
    Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Changed to use a dedicated TransformListener thread. (#551 <https://github.com/ros2/rviz/issues/551>)
  * Suppressed warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
  * Restored compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
  * Contributors: Chris Lalancette, Dirk Thomas, ymd-stella

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.1.1-1focal) focal; urgency=high

  * avoid absolute OGRE path in exported targets (#558 <https://github.com/ros2/rviz/issues/558>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.0.3-1focal) focal; urgency=high

  * Fixed deprecated Qt usage. (#555 <https://github.com/ros2/rviz/issues/555>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-default-plugins (8.0.2-1focal) focal; urgency=high

  * Removed rviz_default_plugins dependency on TinyXML (#531 <https://github.com/ros2/rviz/issues/531>)
    This clears the way for urdf to switch to TinyXML2


=== debian/control ===
Source: ros-foxy-rviz-default-plugins
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-index-cpp <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-interactive-markers, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-resource-retriever, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-rviz-rendering, ros-foxy-rviz-rendering-tests <!nocheck>, ros-foxy-rviz-visual-testing-framework <!nocheck>, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tinyxml-vendor, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-foxy-rviz-default-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, ros-foxy-geometry-msgs, ros-foxy-interactive-markers, ros-foxy-laser-geometry, ros-foxy-map-msgs, ros-foxy-nav-msgs, ros-foxy-pluginlib, ros-foxy-rclcpp, ros-foxy-resource-retriever, ros-foxy-rviz-common, ros-foxy-rviz-ogre-vendor, ros-foxy-rviz-rendering, ros-foxy-tf2, ros-foxy-tf2-geometry-msgs, ros-foxy-tf2-ros, ros-foxy-tinyxml-vendor, ros-foxy-urdf, ros-foxy-visualization-msgs, ros-foxy-ros-workspace
Description: Several default plugins for rviz to cover the basic functionality.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rviz-default-plugins//opt/ros/foxy/lib/:$(CURDIR)/debian/ros-foxy-rviz-default-plugins//opt/ros/foxy/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:/opt/ros/foxy/lib/:/opt/ros/foxy/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)/:$(CURDIR)/debian/ros-foxy-rviz-default-plugins//opt/ros/foxy/opt/rviz_assimp_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz-default-plugins//opt/ros/foxy/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-foxy-rviz-default-plugins//opt/ros/foxy/opt/rviz_yaml_cpp_vendor/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
